package cn.iocoder.yudao.module.system.enums.robot.charge;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * robot_charge_log的task_status
 */
@Getter
@AllArgsConstructor
public enum ChargeTaskStatusEnum {
    NEW(0),//未开始
    DOING(1),//前往充电涂中
    DONE(2),//已完成
    CLOSE(3), //已取消
    ABNORMAL(4),//异常
    CHARGEING(5); //充电中
    /**
     * 类型
     */
    private final Integer type;
}
